## cairo-dock-plug-ins 2.4.0~2

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "2.4.0~2")

add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir		# /usr/lib/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # la commande rajoute un retour chariot ...
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir	# /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# check that version matches with the core
execute_process(
    COMMAND pkg-config --modversion gldi			# 2.2.0-3
    OUTPUT_VARIABLE dock_version)
STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
if (NOT "${dock_version}" STREQUAL "${VERSION}")		# Version
	if ("${PACKAGEMENT}" STREQUAL "")
		MESSAGE (FATAL_ERROR "Error : version mismatch with the core : " ${VERSION} <> ${dock_version})
	else ()
		MESSAGE (WARNING "Warning : version mismatch with the core : " ${VERSION} <> ${dock_version})
	endif ()
endif()

#if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT "${FORCE_LIB64}" STREQUAL "")  # 64bits and force install in lib64
#	set (libname "lib64")
#else()
#	set (libname "lib${LIB_SUFFIX}")
#endif()
#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")	# /usr/lib

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib
GET_FILENAME_COMPONENT(prefix "${pluginsdir}/../.." ABSOLUTE)  # /usr
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}")
	message (STATUS "It seems that the current CMAKE_INSTALL_PREFIX flag is not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${CMAKE_INSTALL_PREFIX}/share/locale")
set (gaugesdir "${CMAKE_INSTALL_PREFIX}/share/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")

########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependancies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gtk+-2.0" "gthread-2.0" "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0" "gtkglext-1.0")
pkg_check_modules ("GLDI" REQUIRED "gldi")  # we don't want to link with gldi
set (PACKAGE_INCLUDE_DIRS "${GLDI_INCLUDE_DIRS}")
#message (STATUS "PACKAGE: ${PACKAGE_INCLUDE_DIRS}")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# ALSA_MIXER #################
message (STATUS "> AlsaMixer:")
set (with_alsa "no")
if (NOT "${enable-alsa-mixer}" STREQUAL "no")
	pkg_check_modules (ALSA_MIXER_PACKAGE alsa)
	if ("${ALSA_MIXER_PACKAGE_FOUND}" STREQUAL "")
		message (STATUS "Could not find alsa; Cairo-Dock won't be built with AlsaMixer applet.")
		message (WARNING "This module is required to compile AlsaMixer applet: alsa")
		set (MODULES_MISSING "${MODULES_MISSING} alsa")
	else()
		set (GETTEXT_ALSA_MIXER ${GETTEXT_PLUGINS})
		set (VERSION_ALSA_MIXER "1.1.1")
		set (PACKAGE_ALSA_MIXER "cd-AlsaMixer")
		set (with_alsa "yes")
		set (alsa_mixerdatadir "${pluginsdatadir}/AlsaMixer")
		configure_file (${CMAKE_CURRENT_SOURCE_DIR}/alsaMixer/data/AlsaMixer.conf.in ${CMAKE_CURRENT_BINARY_DIR}/alsaMixer/data/AlsaMixer.conf)
		add_subdirectory ("alsaMixer")
	endif()
endif()

############# ANIMATED ICONS #################
message (STATUS "> Animated Icons:")
set (GETTEXT_ANIMATED_ICONS ${GETTEXT_PLUGINS})
set (VERSION_ANIMATED_ICONS "1.0.10")
set (PACKAGE_ANIMATED_ICONS "cd-Animated-icons")
set (animated_iconsdatadir "${pluginsdatadir}/Animated-icons")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Animated-icons/data/Animated-icons.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Animated-icons/data/Animated-icons.conf)
add_subdirectory (Animated-icons)

############# CAIRO_PENGUIN #################
message (STATUS "> Cairo Penguin:")
set (GETTEXT_CAIRO_PENGUIN ${GETTEXT_PLUGINS})
set (VERSION_CAIRO_PENGUIN "1.1.9")
set (PACKAGE_CAIRO_PENGUIN "cd-Cairo-Penguin")
set (cairo_penguinuserdirname "Cairo-Penguin")
set (cairo_penguindatadir "${pluginsdatadir}/Cairo-Penguin")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Cairo-Penguin/data/Cairo-Penguin.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Cairo-Penguin/data/Cairo-Penguin.conf)
add_subdirectory (Cairo-Penguin)

############# CLIPPER #################
message (STATUS "> Clipper:")
set (GETTEXT_CLIPPER ${GETTEXT_PLUGINS})
set (VERSION_CLIPPER "1.1.5")
set (PACKAGE_CLIPPER "cd-Clipper")
set (Clipperdatadir "${pluginsdatadir}/Clipper")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Clipper/data/Clipper.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Clipper/data/Clipper.conf)
add_subdirectory (Clipper)

############# CLOCK #################
message (STATUS "> Clock:")
set (with_ical "yes")
pkg_check_modules ("LIBICAL_PACKAGE" "libical")
if ("${LIBICAL_PACKAGE_FOUND}" STREQUAL "")
	set (with_ical "no")
	message (STATUS "Could not find libical; Clock plugin won't be built with iCal support.")
	message (WARNING "This module is required to compile Clock applet with iCal support: libical")
	set (MODULES_MISSING "${MODULES_MISSING} libical")
endif()
set (GETTEXT_CLOCK ${GETTEXT_PLUGINS})
set (VERSION_CLOCK "2.1.4")
set (PACKAGE_CLOCK "cd-clock")
set (clockuserdirname "clock")
set (clockdatadir "${pluginsdatadir}/clock")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/clock/data/clock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/clock/data/clock.conf)
add_subdirectory (clock)

############# COMPOSITE_MANAGER #################
message (STATUS "> Composite Manager:")
set (GETTEXT_COMPOSITE_MANAGER ${GETTEXT_PLUGINS})
set (VERSION_COMPOSITE_MANAGER "1.0.0")
set (PACKAGE_COMPOSITE_MANAGER "cd-Composite-Manager")
set (composite_managerdatadir "${pluginsdatadir}/Composite-Manager")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Composite-Manager/data/Composite-Manager.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Composite-Manager/data/Composite-Manager.conf)
add_subdirectory (Composite-Manager)

############# DBUS #################
message (STATUS "> DBus:")
message (STATUS " * Python:")
find_program (PYTHON_EXECUTABLE python)
EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "import sys; print sys.version" OUTPUT_VARIABLE PYTHON_VERSION)
if ("${PYTHON_VERSION}" STREQUAL "")
	message (STATUS "Could not find Python, won't install Python interface.")
	message (WARNING "This program is required to compile DBus applet with Python interface: python (version 2)")
	set (PROGRAMS_MISSING "${PROGRAMS_MISSING} python")
	set (with_python "no")
else()
	STRING (REGEX REPLACE "\n" "" PYTHON_VERSION ${PYTHON_VERSION})
	message (STATUS "   Python Version: ${PYTHON_VERSION}")
	GET_FILENAME_COMPONENT(DEBIAN_VERSION /etc/debian_version ABSOLUTE)
	if (EXISTS ${DEBIAN_VERSION})
		message (STATUS "   will use '--install-layout deb' with 'python setup.py install'")
		set (DEBIAN_INSTALL_LAYOUT "--install-layout deb")
	endif()
	set (PYTHON_FOUND "TRUE")
	set (with_python "yes")
endif()

message (STATUS " * Ruby:")
# find_package(Ruby) found libs of ruby-dev but we only need a directory where we can install ruby libs.
find_program (RUBY_EXECUTABLE ruby)
EXECUTE_PROCESS(COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print Config::CONFIG['rubylibdir']"
	OUTPUT_VARIABLE RUBY_LIB_DIR)
message (STATUS "   Ruby library dir: ${RUBY_LIB_DIR}")
if ("${RUBY_LIB_DIR}" STREQUAL "" OR "${RUBY_LIB_DIR}" STREQUAL "nil")
	message (STATUS "Could not find ruby libs, won't install Ruby interface.")
	message (WARNING "This program is required to compile DBus applet with Ruby interface: ruby")
	set (PROGRAMS_MISSING "${PROGRAMS_MISSING} ruby")
	set (with_ruby "no")
else()
	string (REGEX REPLACE "lib/ruby/[0-9].[0-9]" "" RUBY_LIB_DIR_INSTALL "${RUBY_LIB_DIR}")
	string (REGEX REPLACE "${RUBY_LIB_DIR_INSTALL}" "" RUBY_LIB_DIR_INSTALL "${RUBY_LIB_DIR}")
	set (RUBY_LIB_DIR "${CMAKE_INSTALL_PREFIX}/${RUBY_LIB_DIR_INSTALL}")
	message (STATUS "   will be installed in: ${RUBY_LIB_DIR}")
	set (RUBY_FOUND "TRUE")
	set (with_ruby "yes")
endif()

message (STATUS " * Mono:")
#find_package (Mono)
find_program (GMCS_EXECUTABLE gmcs)
if ("${GMCS_EXECUTABLE}" STREQUAL "" OR NOT EXISTS ${GMCS_EXECUTABLE})
	message (STATUS "Could not find Mono compiler gmcs, won't build Mono interface.")
	set (with_mono "no")
else()
	pkg_check_modules (MONO_PACKAGE glib-sharp-2.0 ndesk-dbus-1.0 ndesk-dbus-glib-1.0)
	if ("${MONO_PACKAGE_FOUND}" STREQUAL "")
		message (STATUS "Could not find glib-sharp-2.0, ndesk-dbus-1.0 or ndesk-dbus-glib-1.0; won't be built Mono interface.")
		message (WARNING "These modules are required to compile DBus applet with Mono interface: glib-sharp-2.0, ndesk-dbus-1.0 and ndesk-dbus-glib-1.0")
		set (MODULES_MISSING "${MODULES_MISSING} glib-sharp-2.0 ndesk-dbus-1.0 ndesk-dbus-glib-1.0")
		set (with_mono "no")
	else()
		set (MONO_FOUND "TRUE")
		set (with_mono "yes")
	endif()
endif()

message (STATUS " * Vala:")
# Valac is only riquired to convert vala files to C files.
#  So we can directly use produced files (c, h, vapi) without using valac.
set (with_vala "yes")
set (with_valac "no")
find_program (VALAC_EXE valac)
message (STATUS "   Path to valac: ${VALAC_EXE}")

if ("${WITH_VALA}" STREQUAL "no")
	set (with_vala "no")
# >= Glib 2.26
elseif (${GLIB_MAJOR} LESS 3 AND ${GLIB_MINOR} LESS 26)
	set (with_vala "no")
elseif (NOT "${VALAC_EXE}" STREQUAL "VALAC_EXE-NOTFOUND") # now it works with 0.10 and 0.11 (= next 0.12)
	execute_process(COMMAND ${VALAC_EXE} "--version"
		OUTPUT_VARIABLE "VALA_VERSION")
	string(REPLACE "Vala" "" "VALA_VERSION" ${VALA_VERSION})
	string(STRIP ${VALA_VERSION} "VALA_VERSION")

=== Cairo-Penguin/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)


########### install files ###############




#original Makefile.am contents follow:

##dnl Process this file with automake to produce Makefile.in
#
#SUBDIRS = . src data

=== shared-images/CMakeLists.txt ===

########### install files ###############

install(FILES
	expose-desktops.svg
	expose-windows.svg
	show-desktop.svg
	widget-layer.svg
	DESTINATION ${shared_imagesdatadir})

=== Animated-icons/src/CMakeLists.txt ===

########### next target ###############

SET(cd-Animated-icons_LIB_SRCS
	applet-init.c 			applet-init.h
	applet-config.c 		applet-config.h
	applet-rotation.c 		applet-rotation.h
	applet-mesh-factory.c 	applet-mesh-factory.h
	applet-notifications.c 	applet-notifications.h
	applet-spot.c 			applet-spot.h
	applet-rays.c 			applet-rays.h
	applet-wobbly.c 		applet-wobbly.h
	applet-wave.c 			applet-wave.h
	applet-pulse.c 			applet-pulse.h
	applet-bounce.c 		applet-bounce.h
	applet-blink.c 			applet-blink.h
	applet-unfold.c 		applet-unfold.h
	applet-struct.h
	chrome-tex.h
)

add_library(${PACKAGE_ANIMATED_ICONS} SHARED ${cd-Animated-icons_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${animated_iconsdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Animated-icons.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Animated-icons")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ANIMATED_ICONS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ANIMATED_ICONS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_ANIMATED_ICONS}
	${PACKAGE_LIBRARIES})

install(TARGETS ${PACKAGE_ANIMATED_ICONS} DESTINATION ${pluginsdir})


########### install files ###############




#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-Animated-icons.la
#
#
#libcd_Animated_icons_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-rotation.c
#	applet-rotation.h
#	applet-struct.h
#	applet-mesh-factory.c
#	applet-mesh-factory.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-spot.c
#	applet-spot.h
#	applet-rays.c
#	applet-rays.h
#	applet-wobbly.c
#	applet-wobbly.h
#	applet-wave.c
#	applet-wave.h
#	applet-pulse.c
#	applet-pulse.h
#	applet-bounce.c
#	applet-bounce.h
#	applet-blink.c
#	applet-blink.h
#	applet-unfold.c
#	applet-unfold.h
#	chrome-tex.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_Animated_icons_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${animated_iconsdatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""Animated-icons.conf""
#	-DMY_APPLET_USER_DATA_DIR=""Animated-icons""
#	-DMY_APPLET_VERSION=""${VERSION_ANIMATED_ICONS)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_ANIMATED_ICONS)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-DGL_GLEXT_PROTOTYPES=""1""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_Animated_icons_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#
#
#libcd_Animated_icons_la_LDFLAGS =
#	-avoid-version -module

=== Impulse/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 		applet-config.h
	applet-notifications.c 		applet-notifications.h
	Impulse.c			Impulse.h
	applet-impulse.c 		applet-impulse.h
)

add_library(${PACKAGE_IMPULSE} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${impulsedatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Impulse.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Impulse")
add_definitions (-DMY_APPLET_VERSION="${VERSION_IMPULSE}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_IMPULSE}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${IMPULSE_PACKAGES_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${IMPULSE_PACKAGES_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_IMPULSE}
	${PACKAGE_LIBRARIES}
	${IMPULSE_PACKAGES_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_IMPULSE} DESTINATION ${pluginsdir})

=== MeMenu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-me.c 			applet-me.h
	applet-menu.c 			applet-menu.h
	about-me-menu-item.c		about-me-menu-item.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_MEMENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${memenudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="MeMenu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="MeMenu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MEMENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MEMENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DDBUSMENU_MAJOR=${DBUSMENU_MAJOR})
add_definitions (-DDBUSMENU_MINOR=${DBUSMENU_MINOR})
add_definitions (-DDBUSMENU_NANO=${DBUSMENU_NANO})
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

target_link_libraries (${PACKAGE_MEMENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	indicator-applet)

########### install files ###############

install(TARGETS ${PACKAGE_MEMENU} DESTINATION ${pluginsdir})

=== Status-Notifier/src/CMakeLists.txt ===

########### sources ###############

SET(cd-StatusNotifier_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-host.c 		applet-host.h
	applet-host-kde.c 	applet-host-kde.h
	applet-host-ias.c 	applet-host-ias.h
	applet-item.c 		applet-item.h
	applet-draw.c 		applet-draw.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

add_library(${PACKAGE_STATUS_NOTIFIER} SHARED ${cd-StatusNotifier_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${status_notifierdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Status-Notifier.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Status-Notifier")
add_definitions (-DMY_APPLET_VERSION="${VERSION_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
add_definitions (-DINDICATOR_APPLICATIONADDED_HAS_HINT=${INDICATOR_APPLICATIONADDED_HAS_HINT})
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_STATUS_NOTIFIER}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_STATUS_NOTIFIER} DESTINATION ${pluginsdir})

=== Status-Notifier/watcher/CMakeLists.txt ===

########### install files ###############

#if (NOT "${CMAKE_CURRENT_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
	# copy *.py to current binary dir (cleaner)
#	execute_process(COMMAND cp "${CMAKE_CURRENT_SOURCE_DIR}/setup.py" "${CMAKE_CURRENT_SOURCE_DIR}/status-notifier-watcher.py" ${CMAKE_CURRENT_BINARY_DIR})
#	exec_program("${PYTHON_EXECUTABLE}" "${CMAKE_CURRENT_BINARY_DIR}" ARGS "setup.py" "-q" "build")
#endif()
# Run a custom script with 'make install' 
#add_custom_target(watcher_pyc ALL)
#configure_file(${CMAKE_CURRENT_SOURCE_DIR}/PythonInstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/PythonInstall.cmake)
#set_target_properties(watcher_pyc PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/PythonInstall.cmake)
# execute_process(COMMAND python setup.py install ${DEBIAN_INSTALL_LAYOUT})

install(FILES status-notifier-watcher.py
	DESTINATION ${pluginsdir}
	RENAME status-notifier-watcher
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== desklet-rendering/data/CMakeLists.txt ===

########### install files ###############

install(FILES icon.svg
	branche1.svg
	branche2.svg
	scotch.svg
	scotch+frame.svg
	frame.svg
	reflect.svg
	cd_box_cover.svg
	cd_box.svg
	starcraft2.png
	dark-bg.png
	clear-bg.svg
	board.png
	DESTINATION ${desklet_renderingdatadir})

=== dock-rendering/src/CMakeLists.txt ===

########### sources ###############

SET(cd-rendering_LIB_SRCS
	rendering-init.c 		rendering-init.h
	rendering-config.c 		rendering-config.h
	rendering-caroussel.c 		rendering-caroussel.h
	rendering-parabole.c 		rendering-parabole.h
	rendering-3D-plane.c 		rendering-3D-plane.h
	rendering-rainbow.c 		rendering-rainbow.h
	rendering-diapo-simple.c 	rendering-diapo-simple.h
	rendering-curve.c 		rendering-curve.h
	rendering-panel.c 		rendering-panel.h
	rendering-commons.c		rendering-commons.h
	rendering-struct.h
)

add_library(${PACKAGE_RENDERING} SHARED ${cd-rendering_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${renderingdatadir}")
add_definitions (-DMY_APPLET_VERSION="${VERSION_RENDERING}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_RENDERING}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="rendering.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="rendering")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_RENDERING}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_RENDERING} DESTINATION ${pluginsdir})


#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-rendering.la
#
#
#libcd_rendering_la_SOURCES = 
#	rendering-init.c
#	rendering-init.h
#	rendering-config.c
#	rendering-config.h
#	rendering-caroussel.c
#	rendering-caroussel.h
#	rendering-parabole.c
#	rendering-parabole.h
#	rendering-3D-plane.c
#	rendering-3D-plane.h
#	rendering-rainbow.c
#	rendering-rainbow.h
#	rendering-diapo-simple.c
#	rendering-diapo-simple.h
#	rendering-curve.c
#	rendering-curve.h
#	rendering-commons.c
#	rendering-commons.h
#	rendering-struct.h
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_rendering_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(glitz_cflags) 
#	$(include_glitz)
#	-DMY_APPLET_SHARE_DATA_DIR=""${renderingdatadir)""
#	-DMY_APPLET_VERSION=""${VERSION_RENDERING)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_RENDERING)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_PREVIEW_FILE=""none""
#	-DMY_APPLET_CONF_FILE=""rendering.conf""
#	-DMY_APPLET_USER_DATA_DIR=""rendering""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-DGL_GLEXT_PROTOTYPES=""1""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-Wno-unused-parameter
##	-g -ggdb -W -Wall
#
#
#libcd_rendering_la_LIBADD = 
#	$(glitz_libs) 
#	$(PACKAGE_LIBS) -lm
#
#
#libcd_rendering_la_LDFLAGS = 
#	-avoid-version -module

=== kde-integration/src/CMakeLists.txt ===

########### sources ###############

SET(cd_kde-integration_LIB_SRCS
	applet-init.c
	applet-init.h
	applet-vfs.c
	applet-vfs.h
	applet-utils.c
	applet-utils.h
)

add_library(${PACKAGE_KDE_INTEGRATION} SHARED ${cd_kde-integration_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${kde_integrationdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="none")
add_definitions (-DMY_APPLET_USER_DATA_DIR="kde-integration")
add_definitions (-DMY_APPLET_VERSION="${VERSION_KDE_INTEGRATION}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="cd_kde-integration")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${KDE_INTEGRATION_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${KDE_INTEGRATION_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_KDE_INTEGRATION}
	${PACKAGE_LIBRARIES}
	${KDE_INTEGRATION_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_KDE_INTEGRATION} DESTINATION ${pluginsdir})


#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd_kde-integration.la
#
#
#libcd_kde_integration_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-vfs.c
#	applet-vfs.h
#	applet-utils.c
#	applet-utils.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_kde_integration_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(KDE_INTEGRATION_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${kde_integrationdatadir)""
#	-DMY_APPLET_PREVIEW_FILE="none"""
#	-DMY_APPLET_CONF_FILE=""none""
#	-DMY_APPLET_USER_DATA_DIR=""kde-integration""
#	-DMY_APPLET_VERSION=""${VERSION_KDE_INTEGRATION)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""cd_kde-integration""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.png""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_kde_integration_la_LIBADD = 
#	$(PACKAGE_LIBS)
#	$(KDE_INTEGRATION_LIBS)
#	-lm
#
#
#libcd_kde_integration_la_LDFLAGS =
#	-avoid-version -module

=== powermanager/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/powermanager.conf
	default-battery.svg
	default-charge.svg
	sector.svg
	preview.jpg
	icon.png
	charge.svg
	DESTINATION ${powermanagerdatadir})

=== debian/changelog ===
cairo-dock-plug-ins (2.4.0~2-3) unstable; urgency=low

  [Evgeni Golov]
  * Adjust Build-Depends on mono libraries to match archs supported by mono.
    (Closes: #661684)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 01 Mar 2012 08:54:02 +0900

cairo-dock-plug-ins (2.4.0~2-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Remove libindicator-dev which there were two.
  * Remove cairo-dock-memenu-plug-in package. (Closes: #647816)
    cairo-dock-memenu-plug-in has been merge to
    cairo-dock-messaging-menu-plug-in.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 20 Feb 2012 12:25:51 +0900

cairo-dock-plug-ins (2.4.0~2-1) unstable; urgency=low

  * New Upstream version 2.4.0~2. (Closes: #645492, #634382).
  * Rename source package name.
  * Rename binary package name from *-plugin to *-plug-in.
  * Drop compiz-icon-plug-in.
  * Add new plug-ins.
    - cairo-dock-folders-plug-in
    - cairo-dock-impluise-plug-in
    - cairo-dock-memenu-plug-in
    - cairo-dock-messeaging-menu-plug-in
    - cairo-dock-recent-events-plug-in
    - cairo-dock-remote-control-plug-in
  * Add libupower-glib-dev, libindicator-dev,
    libdbusmenu-gtk-dev (>= 0.4), libido-0.1-dev, libpulse-dev,
    libfftw3-dev, libsensors4-dev, libzeitgeist-dev,
    libndesk-dbus-glib1.0-cil-dev, libglib2.0-cil-dev, ruby1.9.1,
    ruby1.9.1-dev iand valac-0.14 to Build-Depneds.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2011 09:32:53 +0900

cairo-dock-plugins (2.3.0~3-3) unstable; urgency=low

  * Change kfreebsd-* to linux-any in Build-Depends and Depends. (Closes:#634382)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Jul 2011 01:45:54 +0900

cairo-dock-plugins (2.3.0~3-2) unstable; urgency=low

  * Transition to Webkit 1.3. Change libwebkit-dev to libwebkitgtk-dev.
    (Closes: #635404)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 26 Jul 2011 17:35:46 +0900

cairo-dock-plugins (2.3.0~3-1) unstable; urgency=low

  * New Upstream version 2.3.0~3.
  * Update debian/control.
    - Bump Standard Version 3.9.2.
    - Update version of cairo-dock-core and cairo-dock-dev.
    - Fix typos in package description (Closes: #624424).
      Thanks to Erik Esterer.
    - Add armhf to cairo-dock-alsamixer-plugin (Closes: #629478).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Jul 2011 12:25:34 +0900

cairo-dock-plugins (2.3.0~0rc1-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Fix plugin version of Scooby-Do.
  * Fix plugin version of Network-Monitor.
  * Fix package build
  * Fix typo in cairo-dock-illusion-plugin (Closes: #588463, #588449).
  * Update debian/control (Closes: #583144).
    - Update depends version of cairo-dock.
    - Drop cairo-dock from Depends.
    - Change Depends version of cairo-dock-plugin-data.
    - Add powerpcspe added powerpcspe to Architecture of cairo-dock-
      alsamixer-plugin

  [ Youhei SASAKI ]
  * Update debian/changelog
  * New Upstream version 2.3.0~0rc1
  * Change autotools to cmake for upstream change
  * Bump standard Version: 3.9.1
  * Remove unneeded patches
    - fix-plugin-version: change Scooby-Do and Network-monitor reqired version
    - fix-lintian-interreter_error: fix dustbin.conf VERSION_DUSTBIN
    - modified_clean_target: exclude clean_target for data/*.conf
  * Update Build-Depends cairo-dock-dev version
  * Remove Scooby-Do, NetworkMonitor
    - upstream indicates these plugin still 
      buggy/untested/under heavy development.
  * change install library name for upstream change
    - debian/cairo-dock-system-monitor-plugin.install
    - debian/cairo-dock-rssreader-plugin.install

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 01 Mar 2011 19:23:36 +0900

cairo-dock-plugins (2.1.3.10-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * New Upstream version 2.1.3.10
  * drop obsolute patch: Remove-preview.jpg-target(merge upstream)
  * remove extra charactor (Closes: #580111)
  * change cairo-dock-plugins Architecture "all" to "any" (Closes: #581299)

  [ Nobuhiro Iwamatsu ]
  * Update debian/control and debian/changelog
    - Add cairo-dock-gnome-integration-plugin, cairo-dock-kde-integration-plugin
      and cairo-dock-xfce-integration-plugin to cairo-dock-plugins.
    - Change remove dfsg from package name.
    - Update version of cairo-dock-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 20 May 2010 12:59:07 +0900

cairo-dock-plugins (2.1.3.5+dfsg-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Change 3.0/quilt source format.
  * Update debian/contorl.
    - Change Homepege from http://www.cairo-dock.org to
      http://www.glx-dock.org (Closes: #574408, #574427)
    - Remove some package from Depends of cairo-dock-plugins package.
  * Fix build kfreebsd-i386 and kfreebsd-amd64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Mar 2010 05:37:21 +0900

cairo-dock-plugins (2.1.3.5+dfsg-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * Initial release (Closes: #493737)

  [ Nobuhiro Iwamatsu ]
  * Remove slider/data/preview.jpg
    Because this image file has copyright of problem.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Feb 2010 18:33:36 +0900

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: extra
DM-Upload-Allowed: yes
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), cmake(>= 2.8.0), gawk,
 cairo-dock-dev (>= 2.4.0~2),
 libasound2-dev [linux-any],
 libcairo2-dev,
 libcurl4-gnutls-dev,
 libdbus-glib-1-dev,
 libdbusmenu-glib-dev,
 libdbusmenu-gtk-dev,
 libetpan-dev,
 libexif-dev,
 libglib2.0-dev,
 libgnome-keyring-dev,
 libgnome-menu-dev,
 libgnomeui-dev,
 libgnomevfs2-dev,
 libgnutls-dev,
 libgtk2.0-dev,
 libgtkglext1-dev,
#libgvfscommon-dev,
 libical-dev,
#libido-0.1-dev,
 libindicator-dev,
 librsvg2-dev,
 libthunar-vfs-1-dev,
 libvte-dev,
 libwebkitgtk-dev,
 libxklavier-dev,
 libxml2-dev,
 libxtst-dev,
 libupower-glib-dev,
 libdbusmenu-gtk-dev (>= 0.4),
 libido-0.1-dev,
 libpulse-dev,
 libfftw3-dev,
 libsensors4-dev,
 libzeitgeist-dev,
 libndesk-dbus-glib1.0-cil-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libglib2.0-cil-dev [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 ruby1.9.1,
 ruby1.9.1-dev,
 valac-0.14,
 mono-gmcs [amd64 armel armhf i386 ia64 kfreebsd-any powerpc s390x sparc],
 libxxf86vm-dev,
 x11proto-xf86vidmode-dev
Standards-Version: 3.9.2
Homepage: http://www.glx-dock.org/
Vcs-Git: git://git.debian.org/pkg-cairo-dock/cairo-dock-plug-ins.git
Vcs-Browser: http://git.debian.org/git/pkg-cairo-dock/cairo-dock-plug-ins.git

Package: cairo-dock-plug-ins
Architecture: any
Depends: ${misc:Depends},
  cairo-dock-alsamixer-plug-in [linux-any],
  cairo-dock-animated-icons-plug-in,
  cairo-dock-cairo-penguin-plug-in,
  cairo-dock-clipper-plug-in,
  cairo-dock-clock-plug-in,
  cairo-dock-dbus-plug-in,
  cairo-dock-desklet-rendering-plug-in,
  cairo-dock-dialog-rendering-plug-in,
  cairo-dock-drop-indicator-plug-in,
  cairo-dock-dustbin-plug-in,
  cairo-dock-icon-effect-plug-in,
  cairo-dock-illusion-plug-in,
  cairo-dock-logout-plug-in,
  cairo-dock-motion-blur-plug-in,
  cairo-dock-netspeed-plug-in,
  cairo-dock-powermanager-plug-in,
  cairo-dock-quick-browser-plug-in,
  cairo-dock-rendering-plug-in,
  cairo-dock-shortcuts-plug-in,
  cairo-dock-showdesktop-plug-in,
  cairo-dock-showmouse-plug-in,
  cairo-dock-slider-plug-in,
  cairo-dock-stack-plug-in,
  cairo-dock-switcher-plug-in,
  cairo-dock-systray-plug-in,
  cairo-dock-tomboy-plug-in,
  cairo-dock-toons-plug-in,
  cairo-dock-weather-plug-in,
  cairo-dock-wifi-plug-in,
  cairo-dock-xgamma-plug-in,
  cairo-dock-gmenu-plug-in,
  cairo-dock-keyboard-indicator-plug-in,
  cairo-dock-terminal-plug-in,
  cairo-dock-mail-plug-in,
  cairo-dock-rssreader-plug-in,
  cairo-dock-system-monitor-plug-in,
  cairo-dock-dnd2share-plug-in,
  cairo-dock-musicplayer-plug-in,
  cairo-dock-weblets-plug-in,
  cairo-dock-folders-plug-in,
  cairo-dock-impulse-plug-in,
  cairo-dock-messaging-menu-plug-in,
  cairo-dock-recent-events-plug-in,
  cairo-dock-remote-control-plug-in
#  cairo-dock-gnome-integration-plug-in,
#  cairo-dock-kde-integration-plug-in,
#  cairo-dock-xfce-integration-plug-in
#  cairo-dock-scooby-do-plug-in,
#  cairo-dock-network-monitor-plug-in
#  cairo-dock-compiz-icon-plug-in,
Conflicts: cairo-dock-plugins (<< 2.4.0~2-1)
Replaces: cairo-dock-plugins (<< 2.4.0~2-1)
Description: Cairo-dock - All plug-ins
 A collection of official plug-ins and applets for cairo-dock.
 .
 This is a metapackage depending on all available cairo-dock plug-ins to make
 installation easier.

Package: cairo-dock-plug-in-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cairo-dock-plugin-data (<< 2.4.0~2-1)
Replaces: cairo-dock-plugin-data (<< 2.4.0~2-1)
Description: Cairo-dock - Plug-in data files
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides plug-in data files.

Package: cairo-dock-alsamixer-plug-in
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Alsamixer plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you control the sound volume from the dock.
 This works with the Alsa sound driver.

Package: cairo-dock-animated-icons-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Animated icons plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides many different animations for your icons.

Package: cairo-dock-cairo-penguin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Cairo-Penguin plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a lively Penguin in your dock.
 Tux images are taken from Pingus, some other characters are available
 or can be added easily.

Package: cairo-dock-clipper-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Clipper plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in keeps a trace of the clipboard and mouse selection,
 so that you can recall them quickly. It's a clone of the well-know Klipper.
 This supports clipboard and mouse selection, predefined actions, and
 persistent items.

Package: cairo-dock-clock-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Clock plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays time and date in your dock.
 Two views are available : numeric and analogic, based on Cairo-Clock.
 This is compatible with the Cairo-Clock's themes, and you can detach itself to
 be a perfect clone of Cairo-Clock.
 And this supports alarms, and a basic calendar, and allows you to set time
 and date.

Package: cairo-dock-dbus-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Dbus plug-in
 A collection of official plug-ins and applets for cairo-dock
 .
 This plug-in lets external applications interact on the dock.
 The communication between both sides is based on Dbus.

Package: cairo-dock-desklet-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts:cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Desklet rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in renders your desktop.

Package: cairo-dock-dialog-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Dialog rendering plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides some dialog decorators for dialog bubbles.

Package: cairo-dock-drop-indicator-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-drop-indicator-plugin  (<< 2.4.0~2-1)
Replaces: cairo-dock-drop-indicator-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Drop indicator plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays an animated indicator when you drop something
 in the dock.

Package: cairo-dock-dustbin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Dustbin plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in manages the dustbin.
 Users can delete files and unmount disks by drag and dropping them on
 the icon.
 This can warn users if they use too much space.

Package: cairo-dock-icon-effect-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Icon effect plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds many special effects to your icons.

Package: cairo-dock-illusion-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Illusion plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides animations for appearance and disappearance of icons.

Package: cairo-dock-logout-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-logout-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-logout-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Logout plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 A very simple plug-in that adds an icon to log out from your session.

Package: cairo-dock-motion-blur-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-motion-blur-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-motion-blur-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Motion blur plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a motion blur effect on docks.

Package: cairo-dock-netspeed-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-netspeed-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-netspeed-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Netspeed plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in shows you the bit rate of your internet connection and some
 stats about it.

Package: cairo-dock-powermanager-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version}),
	gnome-power-manager
Conflicts: cairo-dock-powermanager-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-powermanager-plugin  (<< 2.4.0~2-1)
Description: Cairo-dock - Powermanager plug-in
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in controls the powermanager for your laptop's battery.
 It works with ACPI and DBus.

Package: cairo-dock-quick-browser-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Conflicts: cairo-dock-quick-browser-plugin  (<< 2.4.0~2-1)
Replaces: cairo-dock-quick-browser-plugin (<< 2.4.0~2-1)
Description: Cairo-dock - Quick browser plug-in
 A collection of official plug-ins and applets for cairo-dock.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

#ifeq (,$(findstring kfreebsd,$(DEB_BUILD_ARCH)))
#      DEB_CONFIGURE_USER_FLAGS = --enable-alsa-mixer
#endif

#DEB_CONFIGURE_USER_FLAGS += \
# 	--enable-gnome-integration \
# 	--disable-old-gnome-integration \
# 	--enable-kde-integration \
# 	--enable-xfce-integration \
# 	--enable-terminal \
# 	--enable-powermanager \
# 	--enable-wifi \
# 	--enable-tomboy \
# 	--enable-compiz-icon \
# 	--enable-xgamma \
# 	--enable-gmenu \
# 	--enable-gio-in-gmenu \
# 	--enable-mail \
# 	--enable-weblets \
# 	--enable-exif \
# 	--enable-keyboard-indicator \
# 	--enable-dnd2share \
# 	--enable-musicplayer \
# 	--enable-network-monitor \
# 	--enable-scooby-do \
# 	--enable-rssreader \
# 	--with-gnu-ld
